Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Class TraceGLES2

    java.lang.Object
      javax.media.opengl.TraceGLES2

All Implemented Interfaces:
  GL, GL2ES2, GLBase, GLES2

    public class TraceGLES2

extends Object
implements GLBase, GL, GL2ES2, GLES2

Composable pipeline which wraps an underlying `GL` implementation, providing tracing information to a user-specified `PrintStream` before and after each OpenGL method call. Sample code which installs this pipeline:

         GL gl = drawable.setGL(new TraceGL(drawable.getGL(), System.err));

Field Summary
`static boolean` | `DEBUG`

Fields inherited from interface javax.media.opengl.GLES2
`GL_NVIDIA_PLATFORM_BINARY_NV`

Fields inherited from interface javax.media.opengl.GL2ES2
`GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CURRENT_PROGRAM, GL_CURRENT_VERTEX_ATTRIB, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PLATFORM_BINARY, GL_SAMPLER_2D, GL_SAMPLER_CUBE, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_UNSIGNED_INT, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Constructor Summary
`TraceGLES2(GLES2 downstreamGLES2, PrintStream stream)`

Method Summary
`protected String` | `dumpArray(Object obj)`
`GLContext` | `getContext()` Returns the GLContext with which this GL object is associated.
`Object` | `getExtension(String arg0)` Returns an object providing access to the specified OpenGL extension.
`GL` | `getGL()` Casts this object to the GL interface.
`GL2` | `getGL2()` Casts this object to the GL2 interface.
`GL2ES1` | `getGL2ES1()` Casts this object to the GL2ES1 interface.
`GL2ES2` | `getGL2ES2()` Casts this object to the GL2ES2 interface.
`GL2GL3` | `getGL2GL3()` Casts this object to the GL2GL3 interface.
`GL3` | `getGL3()` Casts this object to the GL3 interface.
`GLES1` | `getGLES1()` Casts this object to the GLES1 interface.
`GLES2` | `getGLES2()` Casts this object to the GLES2 interface.
`GLProfile` | `getGLProfile()` Returns the GLProfile with which this GL object is associated.
`Object` | `getPlatformGLExtensions()` Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed.
`int` | `getSwapInterval()` Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
`void` | `glActiveTexture(int arg0)` Interface to C language function: `void glActiveTexture(GLenum texture);`
`void` | `glAttachShader(int arg0, int arg1)` Interface to C language function: `void glAttachShader(GLuint program, GLuint shader);`
`void` | `glBindAttribLocation(int arg0, int arg1, String arg2)` Interface to C language function: `void glBindAttribLocation(GLuint program, GLuint index, const char * name);`
`void` | `glBindBuffer(int arg0, int arg1)` Interface to C language function: `void glBindBuffer(GLenum target, GLuint buffer);`
`void` | `glBindFramebuffer(int arg0, int arg1)` Interface to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer);`
`void` | `glBindRenderbuffer(int arg0, int arg1)` Interface to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`
`void` | `glBindTexture(int arg0, int arg1)` Interface to C language function: `void glBindTexture(GLenum target, GLuint texture);`
`void` | `glBlendColor(float arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glBlendEquation(int arg0)` Interface to C language function: `void glBlendEquation(GLenum mode);`
`void` | `glBlendEquationSeparate(int arg0, int arg1)` Interface to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`
`void` | `glBlendFunc(int arg0, int arg1)` Interface to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor);`
`void` | `glBlendFuncSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`
`void` | `glBufferData(int arg0, int arg1, Buffer arg2, int arg3)` Interface to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`
`void` | `glBufferSubData(int arg0, int arg1, int arg2, Buffer arg3)` Interface to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`
`int` | `glCheckFramebufferStatus(int arg0)` Interface to C language function: `GLenum glCheckFramebufferStatus(GLenum target);`
`void` | `glClear(int arg0)` Interface to C language function: `void glClear(GLbitfield mask);`
`void` | `glClearColor(float arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`
`void` | `glClearDepth(double arg0)`
`void` | `glClearDepthf(float arg0)` Interface to C language function: `void glClearDepthf(GLclampf depth);`
`void` | `glClearStencil(int arg0)` Interface to C language function: `void glClearStencil(GLint s);`
`void` | `glColorMask(boolean arg0, boolean arg1, boolean arg2, boolean arg3)` Interface to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`
`void` | `glCompileShader(int arg0)` Interface to C language function: `void glCompileShader(GLuint shader);`
`void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, Buffer arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, long arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);` Part of `GL_VERSION_1_3`
`void` | `glCopyTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Interface to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`
`void` | `glCopyTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Interface to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`
`int` | `glCreateProgram()` Interface to C language function: `GLuint glCreateProgram(void);`
`int` | `glCreateShader(int arg0)` Interface to C language function: `GLuint glCreateShader(GLenum type);`
`void` | `glCullFace(int arg0)` Interface to C language function: `void glCullFace(GLenum mode);`
`void` | `glDeleteBuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteBuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`
`void` | `glDeleteFramebuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteFramebuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`
`void` | `glDeleteProgram(int arg0)` Interface to C language function: `void glDeleteProgram(GLuint program);`
`void` | `glDeleteRenderbuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteRenderbuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`
`void` | `glDeleteShader(int arg0)` Interface to C language function: `void glDeleteShader(GLuint shader);`
`void` | `glDeleteTextures(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDeleteTextures(int arg0, IntBuffer arg1)` Interface to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures);`
`void` | `glDepthFunc(int arg0)` Interface to C language function: `void glDepthFunc(GLenum func);`
`void` | `glDepthMask(boolean arg0)` Interface to C language function: `void glDepthMask(GLboolean flag);`
`void` | `glDepthRange(double arg0, double arg1)`
`void` | `glDepthRangef(float arg0, float arg1)` Interface to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar);`
`void` | `glDetachShader(int arg0, int arg1)` Interface to C language function: `void glDetachShader(GLuint program, GLuint shader);`
`void` | `glDisable(int arg0)` Interface to C language function: `void glDisable(GLenum cap);`
`void` | `glDisableVertexAttribArray(int arg0)` Interface to C language function: `void glDisableVertexAttribArray(GLuint index);`
`void` | `glDrawArrays(int arg0, int arg1, int arg2)` Interface to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`
`void` | `glDrawElements(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glDrawElements(int arg0, int arg1, int arg2, long arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);` Part of `GL_VERSION_1_1`
`void` | `glEGLImageTargetTexture2DOES(int arg0, Buffer arg1)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);` Part of `GL_OES_EGL_image`
`void` | `glEnable(int arg0)` Interface to C language function: `void glEnable(GLenum cap);`
`void` | `glEnableVertexAttribArray(int arg0)` Interface to C language function: `void glEnableVertexAttribArray(GLuint index);`
`void` | `glFinish()` Interface to C language function: `void glFinish(void);`
`void` | `glFlush()` Interface to C language function: `void glFlush(void);`
`void` | `glFramebufferRenderbuffer(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`
`void` | `glFramebufferTexture2D(int arg0, int arg1, int arg2, int arg3, int arg4)` Interface to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`
`void` | `glFrontFace(int arg0)` Interface to C language function: `void glFrontFace(GLenum mode);`
`void` | `glGenBuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenBuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers);`
`void` | `glGenerateMipmap(int arg0)` Interface to C language function: `void glGenerateMipmap(GLenum target);`
`void` | `glGenFramebuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenFramebuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`
`void` | `glGenRenderbuffers(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenRenderbuffers(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`
`void` | `glGenTextures(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGenTextures(int arg0, IntBuffer arg1)` Interface to C language function: `void glGenTextures(GLsizei n, GLuint * textures);`
`void` | `glGetActiveAttrib(int arg0, int arg1, int arg2, int[] arg3, int arg4, int[] arg5, int arg6, int[] arg7, int arg8, byte[] arg9, int arg10)` Interface to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveAttrib(int arg0, int arg1, int arg2, IntBuffer arg3, IntBuffer arg4, IntBuffer arg5, ByteBuffer arg6)` Interface to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniform(int arg0, int arg1, int arg2, int[] arg3, int arg4, int[] arg5, int arg6, int[] arg7, int arg8, byte[] arg9, int arg10)` Interface to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetActiveUniform(int arg0, int arg1, int arg2, IntBuffer arg3, IntBuffer arg4, IntBuffer arg5, ByteBuffer arg6)` Interface to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`
`void` | `glGetAttachedShaders(int arg0, int arg1, int[] arg2, int arg3, int[] arg4, int arg5)` Interface to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`
`void` | `glGetAttachedShaders(int arg0, int arg1, IntBuffer arg2, IntBuffer arg3)` Interface to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`
`int` | `glGetAttribLocation(int arg0, String arg1)` Interface to C language function: `int glGetAttribLocation(GLuint program, const char * name);`
`void` | `glGetBooleanv(int arg0, byte[] arg1, int arg2)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`void` | `glGetBooleanv(int arg0, ByteBuffer arg1)` Interface to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params);`
`int` | `glGetBoundBuffer(int arg0)`
`void` | `glGetBufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetBufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`int` | `glGetError()` Interface to C language function: `GLenum glGetError(void);`
`void` | `glGetFloatv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFloatv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glGetFloatv(GLenum pname, GLfloat * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, IntBuffer arg3)` Interface to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int arg0, int[] arg1, int arg2)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetIntegerv(int arg0, IntBuffer arg1)` Interface to C language function: `void glGetIntegerv(GLenum pname, GLint * params);`
`void` | `glGetProgramInfoLog(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Interface to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetProgramInfoLog(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Interface to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetProgramiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`
`void` | `glGetProgramiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`
`void` | `glGetRenderbufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetRenderbufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetShaderInfoLog(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Interface to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetShaderInfoLog(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Interface to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`
`void` | `glGetShaderiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`
`void` | `glGetShaderiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`
`void` | `glGetShaderPrecisionFormat(int arg0, int arg1, int[] arg2, int arg3, int[] arg4, int arg5)` Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);` Part of `GL_ES_VERSION_2_0`
`void` | `glGetShaderPrecisionFormat(int arg0, int arg1, IntBuffer arg2, IntBuffer arg3)` Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);` Part of `GL_ES_VERSION_2_0`
`void` | `glGetShaderSource(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Interface to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`
`void` | `glGetShaderSource(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Interface to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`
`String` | `glGetString(int arg0)` Interface to C language function: `const GLubyte * glGetString(GLenum name);`
`void` | `glGetTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`
`void` | `glGetTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`
`void` | `glGetUniformfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`
`void` | `glGetUniformfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`
`void` | `glGetUniformiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params);`
`void` | `glGetUniformiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params);`
`int` | `glGetUniformLocation(int arg0, String arg1)` Interface to C language function: `int glGetUniformLocation(GLuint program, const char * name);`
`void` | `glGetVertexAttribfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`
`void` | `glGetVertexAttribfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`
`void` | `glGetVertexAttribiv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`
`void` | `glGetVertexAttribiv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`
`void` | `glHint(int arg0, int arg1)` Interface to C language function: `void glHint(GLenum target, GLenum mode);`
`boolean` | `glIsBuffer(int arg0)` Interface to C language function: `GLboolean glIsBuffer(GLuint buffer);`
`boolean` | `glIsEnabled(int arg0)` Interface to C language function: `GLboolean glIsEnabled(GLenum cap);`
`boolean` | `glIsFramebuffer(int arg0)` Interface to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer);`
`boolean` | `glIsProgram(int arg0)` Interface to C language function: `GLboolean glIsProgram(GLuint program);`
`boolean` | `glIsRenderbuffer(int arg0)` Interface to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer);`
`boolean` | `glIsShader(int arg0)` Interface to C language function: `GLboolean glIsShader(GLuint shader);`
`boolean` | `glIsTexture(int arg0)` Interface to C language function: `GLboolean glIsTexture(GLuint texture);`
`boolean` | `glIsVBOArrayEnabled()`
`boolean` | `glIsVBOElementEnabled()`
`void` | `glLineWidth(float arg0)` Interface to C language function: `void glLineWidth(GLfloat width);`
`void` | `glLinkProgram(int arg0)` Interface to C language function: `void glLinkProgram(GLuint program);`
`ByteBuffer` | `glMapBuffer(int arg0, int arg1)` Interface to C language function: `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`
`void` | `glPixelStorei(int arg0, int arg1)` Interface to C language function: `void glPixelStorei(GLenum pname, GLint param);`
`void` | `glPolygonOffset(float arg0, float arg1)` Interface to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units);`
`void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);` Part of `GL_VERSION_1_0`
`void` | `glReleaseShaderCompiler()` Interface to C language function: `void glReleaseShaderCompiler(void);`
`void` | `glRenderbufferStorage(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`
`void` | `glSampleCoverage(float arg0, boolean arg1)` Interface to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert);`
`void` | `glScissor(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`
`void` | `glShaderBinary(int arg0, int[] arg1, int arg2, int arg3, Buffer arg4, int arg5)` Interface to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
`void` | `glShaderBinary(int arg0, IntBuffer arg1, int arg2, Buffer arg3, int arg4)` Interface to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
`void` | `glShaderSource(int arg0, int arg1, String[] arg2, int[] arg3, int arg4)` Interface to C language function: `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`
`void` | `glShaderSource(int arg0, int arg1, String[] arg2, IntBuffer arg3)` Interface to C language function: `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`
`void` | `glStencilFunc(int arg0, int arg1, int arg2)` Interface to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilFuncSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask);`
`void` | `glStencilMask(int arg0)` Interface to C language function: `void glStencilMask(GLuint mask);`
`void` | `glStencilMaskSeparate(int arg0, int arg1)` Interface to C language function: `void glStencilMaskSeparate(GLenum face, GLuint mask);`
`void` | `glStencilOp(int arg0, int arg1, int arg2)` Interface to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glStencilOpSeparate(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass);`
`void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexParameterf(int arg0, int arg1, float arg2)` Interface to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`
`void` | `glTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`
`void` | `glTexParameteri(int arg0, int arg1, int arg2)` Interface to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param);`
`void` | `glTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`
`void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);` Part of `GL_VERSION_1_1`
`void` | `glUniform(GLUniformData arg0)`
`void` | `glUniform1f(int arg0, float arg1)` Interface to C language function: `void glUniform1f(GLint location, GLfloat x);`
`void` | `glUniform1fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform1fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform1i(int arg0, int arg1)` Interface to C language function: `void glUniform1i(GLint location, GLint x);`
`void` | `glUniform1iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform1iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform2f(int arg0, float arg1, float arg2)` Interface to C language function: `void glUniform2f(GLint location, GLfloat x, GLfloat y);`
`void` | `glUniform2fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform2fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform2i(int arg0, int arg1, int arg2)` Interface to C language function: `void glUniform2i(GLint location, GLint x, GLint y);`
`void` | `glUniform2iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform2iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform3f(int arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z);`
`void` | `glUniform3fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform3fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform3i(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glUniform3i(GLint location, GLint x, GLint y, GLint z);`
`void` | `glUniform3iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform3iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform4f(int arg0, float arg1, float arg2, float arg3, float arg4)` Interface to C language function: `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`
`void` | `glUniform4fv(int arg0, int arg1, float[] arg2, int arg3)` Interface to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform4fv(int arg0, int arg1, FloatBuffer arg2)` Interface to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`
`void` | `glUniform4i(int arg0, int arg1, int arg2, int arg3, int arg4)` Interface to C language function: `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w);`
`void` | `glUniform4iv(int arg0, int arg1, int[] arg2, int arg3)` Interface to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniform4iv(int arg0, int arg1, IntBuffer arg2)` Interface to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`
`void` | `glUniformMatrix2fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Interface to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix2fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Interface to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix3fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Interface to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix3fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Interface to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix4fv(int arg0, int arg1, boolean arg2, float[] arg3, int arg4)` Interface to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`void` | `glUniformMatrix4fv(int arg0, int arg1, boolean arg2, FloatBuffer arg3)` Interface to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
`boolean` | `glUnmapBuffer(int arg0)` Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);` Part of `GL_VERSION_1_5, GL_OES_mapbuffer`
`void` | `glUseProgram(int arg0)` Interface to C language function: `void glUseProgram(GLuint program);`
`void` | `glValidateProgram(int arg0)` Interface to C language function: `void glValidateProgram(GLuint program);`
`void` | `glVertexAttrib1f(int arg0, float arg1)` Interface to C language function: `void glVertexAttrib1f(GLuint indx, GLfloat x);`
`void` | `glVertexAttrib1fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib1fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib2f(int arg0, float arg1, float arg2)` Interface to C language function: `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y);`
`void` | `glVertexAttrib2fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib2fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib3f(int arg0, float arg1, float arg2, float arg3)` Interface to C language function: `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z);`
`void` | `glVertexAttrib3fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib3fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib4f(int arg0, float arg1, float arg2, float arg3, float arg4)` Interface to C language function: `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`
`void` | `glVertexAttrib4fv(int arg0, float[] arg1, int arg2)` Interface to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttrib4fv(int arg0, FloatBuffer arg1)` Interface to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`
`void` | `glVertexAttribPointer(GLArrayData arg0)`
`void` | `glVertexAttribPointer(int arg0, int arg1, int arg2, boolean arg3, int arg4, Buffer arg5)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttribPointer(int arg0, int arg1, int arg2, boolean arg3, int arg4, long arg5)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);` Part of `GL_VERSION_2_0`
`void` | `glViewport(int arg0, int arg1, int arg2, int arg3)` Interface to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`
`boolean` | `hasGLSL()` Indicates whether this GL object supports GLSL.
`boolean` | `isExtensionAvailable(String arg0)` Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
`boolean` | `isFunctionAvailable(String arg0)` Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
`boolean` | `isGL()` Indicates whether this GL object conforms to any of the common GL profiles.
`boolean` | `isGL2()` Indicates whether this GL object conforms to the GL2 profile.
`boolean` | `isGL2ES1()` Indicates whether this GL object conforms to the GL2ES1 compatible profile.
`boolean` | `isGL2ES2()` Indicates whether this GL object conforms to the GL2ES2 compatible profile.
`boolean` | `isGL2GL3()` Indicates whether this GL object conforms to the GL2GL3 compatible profile.
`boolean` | `isGL3()` Indicates whether this GL object conforms to the GL3 profile.
`boolean` | `isGLES()` Indicates whether this GL object conforms to one of the OpenGL ES compatible profiles.
`boolean` | `isGLES1()` Indicates whether this GL object conforms to the GLES1 profile.
`boolean` | `isGLES2()` Indicates whether this GL object conforms to the GLES2 profile.
`protected void` | `print(String str)`
`protected void` | `printIndent()`
`protected void` | `println(String str)`
`void` | `setSwapInterval(int arg0)` Provides a platform-independent way to specify the minimum swap interval for buffer swaps.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

Constructor Detail

### TraceGLES2

    public TraceGLES2(GLES2 downstreamGLES2,
                      PrintStream stream)

Method Detail

### isGL

    public boolean isGL()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to any of the common GL profiles.

  Specified by:
    `isGL` in interface `GLBase`
  Returns:
    whether this GL object conforms to any of the common GL profiles

### isGL3

    public boolean isGL3()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL3 profile. The GL3 profile reflects OpenGL versions greater or equal 3.1

  Specified by:
    `isGL3` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL3 profile

### isGL2

    public boolean isGL2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2 profile. The GL2 profile reflects OpenGL versions greater or equal 1.5

  Specified by:
    `isGL2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2 profile

### isGLES1

    public boolean isGLES1()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GLES1 profile.

  Specified by:
    `isGLES1` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GLES1 profile

### isGLES2

    public boolean isGLES2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GLES2 profile.

  Specified by:
    `isGLES2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GLES2 profile

### isGL2ES1

    public boolean isGL2ES1()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2ES1 compatible profile.

  Specified by:
    `isGL2ES1` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2ES1 profile

### isGL2ES2

    public boolean isGL2ES2()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2ES2 compatible profile.

  Specified by:
    `isGL2ES2` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2ES2 profile

### isGL2GL3

    public boolean isGL2GL3()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to the GL2GL3 compatible profile.

  Specified by:
    `isGL2GL3` in interface `GLBase`
  Returns:
    whether this GL object conforms to the GL2GL3 profile

### isGLES

    public boolean isGLES()

  Description copied from interface: `GLBase`
  Indicates whether this GL object conforms to one of the OpenGL ES compatible profiles.

  Specified by:
    `isGLES` in interface `GLBase`
  Returns:
    whether this GL object conforms to one of the OpenGL ES profiles

### getGL

    public GL getGL()

  Description copied from interface: `GLBase`
  Casts this object to the GL interface.

  Specified by:
    `getGL` in interface `GLBase`
  Returns:
    this object cast to the GL interface

### getGL3

    public GL3 getGL3()

  Description copied from interface: `GLBase`
  Casts this object to the GL3 interface.

  Specified by:
    `getGL3` in interface `GLBase`
  Returns:
    this object cast to the GL3 interface

### getGL2

    public GL2 getGL2()

  Description copied from interface: `GLBase`
  Casts this object to the GL2 interface.

  Specified by:
    `getGL2` in interface `GLBase`
  Returns:
    this object cast to the GL2 interface

### getGLES1

    public GLES1 getGLES1()

  Description copied from interface: `GLBase`
  Casts this object to the GLES1 interface.

  Specified by:
    `getGLES1` in interface `GLBase`
  Returns:
    this object cast to the GLES1 interface

### getGLES2

    public GLES2 getGLES2()

  Description copied from interface: `GLBase`
  Casts this object to the GLES2 interface.

  Specified by:
    `getGLES2` in interface `GLBase`
  Returns:
    this object cast to the GLES2 interface

### getGL2ES1

    public GL2ES1 getGL2ES1()

  Description copied from interface: `GLBase`
  Casts this object to the GL2ES1 interface.

  Specified by:
    `getGL2ES1` in interface `GLBase`
  Returns:
    this object cast to the GL2ES1 interface

### getGL2ES2

    public GL2ES2 getGL2ES2()

  Description copied from interface: `GLBase`
  Casts this object to the GL2ES2 interface.

  Specified by:
    `getGL2ES2` in interface `GLBase`
  Returns:
    this object cast to the GL2ES2 interface

### getGL2GL3

    public GL2GL3 getGL2GL3()

  Description copied from interface: `GLBase`
  Casts this object to the GL2GL3 interface.

  Specified by:
    `getGL2GL3` in interface `GLBase`
  Returns:
    this object cast to the GL2GL3 interface

### getGLProfile

    public GLProfile getGLProfile()

  Description copied from interface: `GLBase`
  Returns the GLProfile with which this GL object is associated.

  Specified by:
    `getGLProfile` in interface `GLBase`
  Returns:
    the GLProfile with which this GL object is associated

### glCompressedTexImage2D

    public void glCompressedTexImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       Buffer arg7)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage2D` in interface `GL`

### glDepthRange

    public void glDepthRange(double arg0,
                             double arg1)

  Specified by:
    `glDepthRange` in interface `GL`
  Specified by:
    `glDepthRange` in interface `GL2ES2`

### glGetTexParameterfv

    public void glGetTexParameterfv(int arg0,
                                    int arg1,
                                    FloatBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexParameterfv` in interface `GL`

### glTexParameterf

    public void glTexParameterf(int arg0,
                                int arg1,
                                float arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterf(GLenum target, GLenum pname, GLfloat param);`

  Specified by:
    `glTexParameterf` in interface `GL`

### glDeleteShader

    public void glDeleteShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDeleteShader(GLuint shader);`

  Specified by:
    `glDeleteShader` in interface `GL2ES2`

### glEnable

    public void glEnable(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glEnable(GLenum cap);`

  Specified by:
    `glEnable` in interface `GL`

### glCopyTexImage2D

    public void glCopyTexImage2D(int arg0,
                                 int arg1,
                                 int arg2,
                                 int arg3,
                                 int arg4,
                                 int arg5,
                                 int arg6,
                                 int arg7)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border);`

  Specified by:
    `glCopyTexImage2D` in interface `GL`

### glVertexAttrib4fv

    public void glVertexAttrib4fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib4fv` in interface `GL2ES2`

### glGetUniformfv

    public void glGetUniformfv(int arg0,
                               int arg1,
                               FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`

  Specified by:
    `glGetUniformfv` in interface `GL2ES2`

### glUseProgram

    public void glUseProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUseProgram(GLuint program);`

  Specified by:
    `glUseProgram` in interface `GL2ES2`

### glGetBooleanv

    public void glGetBooleanv(int arg0,
                              ByteBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

  Specified by:
    `glGetBooleanv` in interface `GL`

### glGenerateMipmap

    public void glGenerateMipmap(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenerateMipmap(GLenum target);`

  Specified by:
    `glGenerateMipmap` in interface `GL`

### glGetUniformiv

    public void glGetUniformiv(int arg0,
                               int arg1,
                               IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformiv(GLuint program, GLint location, GLint * params);`

  Specified by:
    `glGetUniformiv` in interface `GL2ES2`

### glShaderBinary

    public void glShaderBinary(int arg0,
                               int[] arg1,
                               int arg2,
                               int arg3,
                               Buffer arg4,
                               int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`

  Specified by:
    `glShaderBinary` in interface `GL2ES2`

### glDeleteBuffers

    public void glDeleteBuffers(int arg0,
                                int[] arg1,
                                int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

  Specified by:
    `glDeleteBuffers` in interface `GL`

### glDeleteFramebuffers

    public void glDeleteFramebuffers(int arg0,
                                     IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

  Specified by:
    `glDeleteFramebuffers` in interface `GL`

### glCreateShader

    public int glCreateShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLuint glCreateShader(GLenum type);`

  Specified by:
    `glCreateShader` in interface `GL2ES2`

### glValidateProgram

    public void glValidateProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glValidateProgram(GLuint program);`

  Specified by:
    `glValidateProgram` in interface `GL2ES2`

### glReadPixels

    public void glReadPixels(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             long arg6)

  Description copied from interface: `GL`
  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadPixels` in interface `GL`

### glBlendFunc

    public void glBlendFunc(int arg0,
                            int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendFunc(GLenum sfactor, GLenum dfactor);`

  Specified by:
    `glBlendFunc` in interface `GL`

### glGetActiveUniform

    public void glGetActiveUniform(int arg0,
                                   int arg1,
                                   int arg2,
                                   int[] arg3,
                                   int arg4,
                                   int[] arg5,
                                   int arg6,
                                   int[] arg7,
                                   int arg8,
                                   byte[] arg9,
                                   int arg10)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveUniform` in interface `GL2ES2`

### glUniformMatrix4fv

    public void glUniformMatrix4fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   float[] arg3,
                                   int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix4fv` in interface `GL2ES2`

### glGetFramebufferAttachmentParameteriv

    public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                      int arg1,
                                                      int arg2,
                                                      IntBuffer arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

  Specified by:
    `glGetFramebufferAttachmentParameteriv` in interface `GL`

### glUniformMatrix2fv

    public void glUniformMatrix2fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   float[] arg3,
                                   int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix2fv` in interface `GL2ES2`

### glBindFramebuffer

    public void glBindFramebuffer(int arg0,
                                  int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindFramebuffer(GLenum target, GLuint framebuffer);`

  Specified by:
    `glBindFramebuffer` in interface `GL`

### glReleaseShaderCompiler

    public void glReleaseShaderCompiler()

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glReleaseShaderCompiler(void);`

  Specified by:
    `glReleaseShaderCompiler` in interface `GL2ES2`

### glVertexAttrib1fv

    public void glVertexAttrib1fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib1fv` in interface `GL2ES2`

### glGetTexParameteriv

    public void glGetTexParameteriv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexParameteriv` in interface `GL`

### glUnmapBuffer

    public boolean glUnmapBuffer(int arg0)

  Description copied from interface: `GL`
  Entry point to C language function: `GLboolean glUnmapBufferOES(GLenum target);`
  Part of `GL_VERSION_1_5, GL_OES_mapbuffer`

  Specified by:
    `glUnmapBuffer` in interface `GL`

### glVertexAttrib3fv

    public void glVertexAttrib3fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib3fv` in interface `GL2ES2`

### glDeleteProgram

    public void glDeleteProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDeleteProgram(GLuint program);`

  Specified by:
    `glDeleteProgram` in interface `GL2ES2`

### glCreateProgram

    public int glCreateProgram()

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLuint glCreateProgram(void);`

  Specified by:
    `glCreateProgram` in interface `GL2ES2`

### glIsVBOElementEnabled

    public boolean glIsVBOElementEnabled()

  Specified by:
    `glIsVBOElementEnabled` in interface `GL`

### glUniform4fv

    public void glUniform4fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform4fv` in interface `GL2ES2`

### glGetShaderSource

    public void glGetShaderSource(int arg0,
                                  int arg1,
                                  int[] arg2,
                                  int arg3,
                                  byte[] arg4,
                                  int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`

  Specified by:
    `glGetShaderSource` in interface `GL2ES2`

### glColorMask

    public void glColorMask(boolean arg0,
                            boolean arg1,
                            boolean arg2,
                            boolean arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha);`

  Specified by:
    `glColorMask` in interface `GL`

### glVertexAttribPointer

    public void glVertexAttribPointer(GLArrayData arg0)

  Specified by:
    `glVertexAttribPointer` in interface `GL2ES2`

### glBindTexture

    public void glBindTexture(int arg0,
                              int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindTexture(GLenum target, GLuint texture);`

  Specified by:
    `glBindTexture` in interface `GL`

### getSwapInterval

    public int getSwapInterval()

  Description copied from interface: `GLBase`
  Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
  If the interval is not set by `GLBase.setSwapInterval(int)` yet, -1 is returned, indicating that the platforms default is being used.

  Specified by:
    `getSwapInterval` in interface `GLBase`
  See Also:
    `GLBase.setSwapInterval(int)`

### hasGLSL

    public boolean hasGLSL()

  Description copied from interface: `GLBase`
  Indicates whether this GL object supports GLSL.

  Specified by:
    `hasGLSL` in interface `GLBase`

### glClearColor

    public void glClearColor(float arg0,
                             float arg1,
                             float arg2,
                             float arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

  Specified by:
    `glClearColor` in interface `GL`

### glGetFloatv

    public void glGetFloatv(int arg0,
                            float[] arg1,
                            int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

  Specified by:
    `glGetFloatv` in interface `GL`

### glUniform2i

    public void glUniform2i(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2i(GLint location, GLint x, GLint y);`

  Specified by:
    `glUniform2i` in interface `GL2ES2`

### glTexImage2D

    public void glTexImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage2D` in interface `GL`

### glDepthRangef

    public void glDepthRangef(float arg0,
                              float arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthRangef(GLclampf zNear, GLclampf zFar);`

  Specified by:
    `glDepthRangef` in interface `GL`

### glUniform2f

    public void glUniform2f(int arg0,
                            float arg1,
                            float arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2f(GLint location, GLfloat x, GLfloat y);`

  Specified by:
    `glUniform2f` in interface `GL2ES2`

### glGetShaderiv

    public void glGetShaderiv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`

  Specified by:
    `glGetShaderiv` in interface `GL2ES2`

### glGetBufferParameteriv

    public void glGetBufferParameteriv(int arg0,
                                       int arg1,
                                       int[] arg2,
                                       int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetBufferParameteriv` in interface `GL`

### glUniform2iv

    public void glUniform2iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform2iv` in interface `GL2ES2`

### glDeleteRenderbuffers

    public void glDeleteRenderbuffers(int arg0,
                                      IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

  Specified by:
    `glDeleteRenderbuffers` in interface `GL`

### glGetProgramInfoLog

    public void glGetProgramInfoLog(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3,
                                    byte[] arg4,
                                    int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetProgramInfoLog` in interface `GL2ES2`

### glVertexAttribPointer

    public void glVertexAttribPointer(int arg0,
                                      int arg1,
                                      int arg2,
                                      boolean arg3,
                                      int arg4,
                                      Buffer arg5)

  Description copied from interface: `GL2ES2`
  Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttribPointer` in interface `GL2ES2`

### glGetBooleanv

    public void glGetBooleanv(int arg0,
                              byte[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBooleanv(GLenum pname, GLboolean * params);`

  Specified by:
    `glGetBooleanv` in interface `GL`

### glTexSubImage2D

    public void glTexSubImage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage2D` in interface `GL`

### glDrawElements

    public void glDrawElements(int arg0,
                               int arg1,
                               int arg2,
                               long arg3)

  Description copied from interface: `GL`
  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glDrawElements` in interface `GL`

### glUniform3iv

    public void glUniform3iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform3iv` in interface `GL2ES2`

### glBlendColor

    public void glBlendColor(float arg0,
                             float arg1,
                             float arg2,
                             float arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha);`

  Specified by:
    `glBlendColor` in interface `GL2ES2`

### glGetShaderInfoLog

    public void glGetShaderInfoLog(int arg0,
                                   int arg1,
                                   IntBuffer arg2,
                                   ByteBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetShaderInfoLog` in interface `GL2ES2`

### glCullFace

    public void glCullFace(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCullFace(GLenum mode);`

  Specified by:
    `glCullFace` in interface `GL`

### glIsProgram

    public boolean glIsProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLboolean glIsProgram(GLuint program);`

  Specified by:
    `glIsProgram` in interface `GL2ES2`

### glTexParameterfv

    public void glTexParameterfv(int arg0,
                                 int arg1,
                                 FloatBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexParameterfv` in interface `GL`

### glIsVBOArrayEnabled

    public boolean glIsVBOArrayEnabled()

  Specified by:
    `glIsVBOArrayEnabled` in interface `GL`

### glUniform4iv

    public void glUniform4iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform4iv` in interface `GL2ES2`

### glTexParameteriv

    public void glTexParameteriv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexParameteriv` in interface `GL`

### glLineWidth

    public void glLineWidth(float arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glLineWidth(GLfloat width);`

  Specified by:
    `glLineWidth` in interface `GL`

### glStencilFuncSeparate

    public void glStencilFuncSeparate(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask);`

  Specified by:
    `glStencilFuncSeparate` in interface `GL2ES2`

### glVertexAttrib3f

    public void glVertexAttrib3f(int arg0,
                                 float arg1,
                                 float arg2,
                                 float arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z);`

  Specified by:
    `glVertexAttrib3f` in interface `GL2ES2`

### glBufferData

    public void glBufferData(int arg0,
                             int arg1,
                             Buffer arg2,
                             int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBufferData(GLenum target, GLsizeiptr size, const void * data, GLenum usage);`

  Specified by:
    `glBufferData` in interface `GL`

### glIsFramebuffer

    public boolean glIsFramebuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsFramebuffer(GLuint framebuffer);`

  Specified by:
    `glIsFramebuffer` in interface `GL`

### glBlendEquation

    public void glBlendEquation(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendEquation(GLenum mode);`

  Specified by:
    `glBlendEquation` in interface `GL`

### glFramebufferRenderbuffer

    public void glFramebufferRenderbuffer(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer);`

  Specified by:
    `glFramebufferRenderbuffer` in interface `GL`

### glUniformMatrix3fv

    public void glUniformMatrix3fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   float[] arg3,
                                   int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix3fv` in interface `GL2ES2`

### glVertexAttrib4f

    public void glVertexAttrib4f(int arg0,
                                 float arg1,
                                 float arg2,
                                 float arg3,
                                 float arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`

  Specified by:
    `glVertexAttrib4f` in interface `GL2ES2`

### glGetVertexAttribfv

    public void glGetVertexAttribfv(int arg0,
                                    int arg1,
                                    FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetVertexAttribfv` in interface `GL2ES2`

### glUniform1iv

    public void glUniform1iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform1iv` in interface `GL2ES2`

### setSwapInterval

    public void setSwapInterval(int arg0)

  Description copied from interface: `GLBase`
  Provides a platform-independent way to specify the minimum swap interval for buffer swaps. An argument of 0 disables sync-to-vertical-refresh completely, while an argument of 1 causes the application to wait until the next vertical refresh until swapping buffers. The default, which is platform-specific, is usually either 0 or 1. This function is not guaranteed to have an effect, and in particular only affects heavyweight onscreen components.

  Specified by:
    `setSwapInterval` in interface `GLBase`
  See Also:
    `GLBase.getSwapInterval()`

### glGenTextures

    public void glGenTextures(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

  Specified by:
    `glGenTextures` in interface `GL`

### glStencilOp

    public void glStencilOp(int arg0,
                            int arg1,
                            int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass);`

  Specified by:
    `glStencilOp` in interface `GL`

### glGetUniformLocation

    public int glGetUniformLocation(int arg0,
                                    String arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `int glGetUniformLocation(GLuint program, const char * name);`

  Specified by:
    `glGetUniformLocation` in interface `GL2ES2`

### glClearStencil

    public void glClearStencil(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearStencil(GLint s);`

  Specified by:
    `glClearStencil` in interface `GL`

### glEnableVertexAttribArray

    public void glEnableVertexAttribArray(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glEnableVertexAttribArray(GLuint index);`

  Specified by:
    `glEnableVertexAttribArray` in interface `GL2ES2`

### glGetIntegerv

    public void glGetIntegerv(int arg0,
                              int[] arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

  Specified by:
    `glGetIntegerv` in interface `GL`

### isExtensionAvailable

    public boolean isExtensionAvailable(String arg0)

  Description copied from interface: `GLBase`
  Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

  Specified by:
    `isExtensionAvailable` in interface `GLBase`
  Parameters:
    `arg0` - the name of the OpenGL extension (e.g., "GL_ARB_vertex_program").

### glBlendEquationSeparate

    public void glBlendEquationSeparate(int arg0,
                                        int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha);`

  Specified by:
    `glBlendEquationSeparate` in interface `GL`

### glUniform3fv

    public void glUniform3fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform3fv` in interface `GL2ES2`

### glIsEnabled

    public boolean glIsEnabled(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsEnabled(GLenum cap);`

  Specified by:
    `glIsEnabled` in interface `GL`

### glBindBuffer

    public void glBindBuffer(int arg0,
                             int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindBuffer(GLenum target, GLuint buffer);`

  Specified by:
    `glBindBuffer` in interface `GL`

### glIsTexture

    public boolean glIsTexture(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsTexture(GLuint texture);`

  Specified by:
    `glIsTexture` in interface `GL`

### glGenFramebuffers

    public void glGenFramebuffers(int arg0,
                                  int[] arg1,
                                  int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

  Specified by:
    `glGenFramebuffers` in interface `GL`

### glTexParameteri

    public void glTexParameteri(int arg0,
                                int arg1,
                                int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteri(GLenum target, GLenum pname, GLint param);`

  Specified by:
    `glTexParameteri` in interface `GL`

### glDeleteTextures

    public void glDeleteTextures(int arg0,
                                 int[] arg1,
                                 int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

  Specified by:
    `glDeleteTextures` in interface `GL`

### glBlendFuncSeparate

    public void glBlendFuncSeparate(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha);`

  Specified by:
    `glBlendFuncSeparate` in interface `GL`

### glVertexAttrib2fv

    public void glVertexAttrib2fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib2fv` in interface `GL2ES2`

### glGetRenderbufferParameteriv

    public void glGetRenderbufferParameteriv(int arg0,
                                             int arg1,
                                             int[] arg2,
                                             int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetRenderbufferParameteriv` in interface `GL`

### glUniform1fv

    public void glUniform1fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform1fv` in interface `GL2ES2`

### glGetActiveAttrib

    public void glGetActiveAttrib(int arg0,
                                  int arg1,
                                  int arg2,
                                  IntBuffer arg3,
                                  IntBuffer arg4,
                                  IntBuffer arg5,
                                  ByteBuffer arg6)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveAttrib` in interface `GL2ES2`

### glGetAttribLocation

    public int glGetAttribLocation(int arg0,
                                   String arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `int glGetAttribLocation(GLuint program, const char * name);`

  Specified by:
    `glGetAttribLocation` in interface `GL2ES2`

### glActiveTexture

    public void glActiveTexture(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glActiveTexture(GLenum texture);`

  Specified by:
    `glActiveTexture` in interface `GL`

### glVertexAttrib1f

    public void glVertexAttrib1f(int arg0,
                                 float arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib1f(GLuint indx, GLfloat x);`

  Specified by:
    `glVertexAttrib1f` in interface `GL2ES2`

### glShaderSource

    public void glShaderSource(int arg0,
                               int arg1,
                               String[] arg2,
                               int[] arg3,
                               int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`

  Specified by:
    `glShaderSource` in interface `GL2ES2`

### glCompressedTexSubImage2D

    public void glCompressedTexSubImage2D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage2D` in interface `GL`

### glUniform2fv

    public void glUniform2fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform2fv` in interface `GL2ES2`

### glGenBuffers

    public void glGenBuffers(int arg0,
                             int[] arg1,
                             int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

  Specified by:
    `glGenBuffers` in interface `GL`

### glGenRenderbuffers

    public void glGenRenderbuffers(int arg0,
                                   int[] arg1,
                                   int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

  Specified by:
    `glGenRenderbuffers` in interface `GL`

### glGetVertexAttribiv

    public void glGetVertexAttribiv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`

  Specified by:
    `glGetVertexAttribiv` in interface `GL2ES2`

### glGetProgramiv

    public void glGetProgramiv(int arg0,
                               int arg1,
                               IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`

  Specified by:
    `glGetProgramiv` in interface `GL2ES2`

### glFramebufferTexture2D

    public void glFramebufferTexture2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`

  Specified by:
    `glFramebufferTexture2D` in interface `GL`

### glFlush

    public void glFlush()

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFlush(void);`

  Specified by:
    `glFlush` in interface `GL`

### glUniformMatrix3fv

    public void glUniformMatrix3fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   FloatBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix3fv` in interface `GL2ES2`

### glFrontFace

    public void glFrontFace(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFrontFace(GLenum mode);`

  Specified by:
    `glFrontFace` in interface `GL`

### glGetShaderInfoLog

    public void glGetShaderInfoLog(int arg0,
                                   int arg1,
                                   int[] arg2,
                                   int arg3,
                                   byte[] arg4,
                                   int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetShaderInfoLog` in interface `GL2ES2`

### glShaderSource

    public void glShaderSource(int arg0,
                               int arg1,
                               String[] arg2,
                               IntBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderSource(GLuint shader, GLsizei count, const char * * string, const GLint * length);`

  Specified by:
    `glShaderSource` in interface `GL2ES2`

### glSampleCoverage

    public void glSampleCoverage(float arg0,
                                 boolean arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glSampleCoverage(GLclampf value, GLboolean invert);`

  Specified by:
    `glSampleCoverage` in interface `GL`

### glGetRenderbufferParameteriv

    public void glGetRenderbufferParameteriv(int arg0,
                                             int arg1,
                                             IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetRenderbufferParameteriv` in interface `GL`

### glGetProgramiv

    public void glGetProgramiv(int arg0,
                               int arg1,
                               int[] arg2,
                               int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramiv(GLuint program, GLenum pname, GLint * params);`

  Specified by:
    `glGetProgramiv` in interface `GL2ES2`

### glGenRenderbuffers

    public void glGenRenderbuffers(int arg0,
                                   IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers);`

  Specified by:
    `glGenRenderbuffers` in interface `GL`

### glGetVertexAttribiv

    public void glGetVertexAttribiv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params);`

  Specified by:
    `glGetVertexAttribiv` in interface `GL2ES2`

### glGetVertexAttribfv

    public void glGetVertexAttribfv(int arg0,
                                    int arg1,
                                    float[] arg2,
                                    int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetVertexAttribfv` in interface `GL2ES2`

### glGenBuffers

    public void glGenBuffers(int arg0,
                             IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenBuffers(GLsizei n, GLuint * buffers);`

  Specified by:
    `glGenBuffers` in interface `GL`

### glPixelStorei

    public void glPixelStorei(int arg0,
                              int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glPixelStorei(GLenum pname, GLint param);`

  Specified by:
    `glPixelStorei` in interface `GL`

### glGetIntegerv

    public void glGetIntegerv(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetIntegerv(GLenum pname, GLint * params);`

  Specified by:
    `glGetIntegerv` in interface `GL`

### glTexImage2D

    public void glTexImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glTexImage2D` in interface `GL`

### glScissor

    public void glScissor(int arg0,
                          int arg1,
                          int arg2,
                          int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glScissor` in interface `GL`

### glVertexAttribPointer

    public void glVertexAttribPointer(int arg0,
                                      int arg1,
                                      int arg2,
                                      boolean arg3,
                                      int arg4,
                                      long arg5)

  Description copied from interface: `GL2ES2`
  Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const void * ptr);`
  Part of `GL_VERSION_2_0`

  Specified by:
    `glVertexAttribPointer` in interface `GL2ES2`

### glGenFramebuffers

    public void glGenFramebuffers(int arg0,
                                  IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenFramebuffers(GLsizei n, GLuint * framebuffers);`

  Specified by:
    `glGenFramebuffers` in interface `GL`

### glTexSubImage2D

    public void glTexSubImage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6,
                                int arg7,
                                long arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const void * pixels);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glTexSubImage2D` in interface `GL`

### glBindAttribLocation

    public void glBindAttribLocation(int arg0,
                                     int arg1,
                                     String arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glBindAttribLocation(GLuint program, GLuint index, const char * name);`

  Specified by:
    `glBindAttribLocation` in interface `GL2ES2`

### glDeleteTextures

    public void glDeleteTextures(int arg0,
                                 IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteTextures(GLsizei n, const GLuint * textures);`

  Specified by:
    `glDeleteTextures` in interface `GL`

### glDrawElements

    public void glDrawElements(int arg0,
                               int arg1,
                               int arg2,
                               Buffer arg3)

  Description copied from interface: `GL`
  Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const void * indices);`
  Part of `GL_VERSION_1_1`

  Specified by:
    `glDrawElements` in interface `GL`

### glTexParameterfv

    public void glTexParameterfv(int arg0,
                                 int arg1,
                                 float[] arg2,
                                 int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params);`

  Specified by:
    `glTexParameterfv` in interface `GL`

### glStencilFunc

    public void glStencilFunc(int arg0,
                              int arg1,
                              int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilFunc(GLenum func, GLint ref, GLuint mask);`

  Specified by:
    `glStencilFunc` in interface `GL`

### glCompressedTexImage2D

    public void glCompressedTexImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       long arg7)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexImage2D` in interface `GL`

### glUniform4i

    public void glUniform4i(int arg0,
                            int arg1,
                            int arg2,
                            int arg3,
                            int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w);`

  Specified by:
    `glUniform4i` in interface `GL2ES2`

### glUniform1fv

    public void glUniform1fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform1fv` in interface `GL2ES2`

### glUniform4f

    public void glUniform4f(int arg0,
                            float arg1,
                            float arg2,
                            float arg3,
                            float arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w);`

  Specified by:
    `glUniform4f` in interface `GL2ES2`

### glHint

    public void glHint(int arg0,
                       int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glHint(GLenum target, GLenum mode);`

  Specified by:
    `glHint` in interface `GL`

### glGenTextures

    public void glGenTextures(int arg0,
                              IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGenTextures(GLsizei n, GLuint * textures);`

  Specified by:
    `glGenTextures` in interface `GL`

### getContext

    public GLContext getContext()

  Description copied from interface: `GLBase`
  Returns the GLContext with which this GL object is associated.

  Specified by:
    `getContext` in interface `GLBase`
  Returns:
    the GLContext with which this GL object is associated

### glCompileShader

    public void glCompileShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glCompileShader(GLuint shader);`

  Specified by:
    `glCompileShader` in interface `GL2ES2`

### glBufferSubData

    public void glBufferSubData(int arg0,
                                int arg1,
                                int arg2,
                                Buffer arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const void * data);`

  Specified by:
    `glBufferSubData` in interface `GL`

### glUniform1iv

    public void glUniform1iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform1iv` in interface `GL2ES2`

### glGetBoundBuffer

    public int glGetBoundBuffer(int arg0)

  Specified by:
    `glGetBoundBuffer` in interface `GL`

### glUniform2fv

    public void glUniform2fv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform2fv` in interface `GL2ES2`

### glUniform3fv

    public void glUniform3fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform3fv` in interface `GL2ES2`

### glGetActiveAttrib

    public void glGetActiveAttrib(int arg0,
                                  int arg1,
                                  int arg2,
                                  int[] arg3,
                                  int arg4,
                                  int[] arg5,
                                  int arg6,
                                  int[] arg7,
                                  int arg8,
                                  byte[] arg9,
                                  int arg10)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveAttrib` in interface `GL2ES2`

### glReadPixels

    public void glReadPixels(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             Buffer arg6)

  Description copied from interface: `GL`
  Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLeglImageOES pixels);`
  Part of `GL_VERSION_1_0`

  Specified by:
    `glReadPixels` in interface `GL`

### glRenderbufferStorage

    public void glRenderbufferStorage(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height);`

  Specified by:
    `glRenderbufferStorage` in interface `GL`

### glVertexAttrib2f

    public void glVertexAttrib2f(int arg0,
                                 float arg1,
                                 float arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y);`

  Specified by:
    `glVertexAttrib2f` in interface `GL2ES2`

### glVertexAttrib2fv

    public void glVertexAttrib2fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib2fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib2fv` in interface `GL2ES2`

### glEGLImageTargetTexture2DOES

    public void glEGLImageTargetTexture2DOES(int arg0,
                                             Buffer arg1)

  Description copied from interface: `GLES2`
  Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image);`
  Part of `GL_OES_EGL_image`

  Specified by:
    `glEGLImageTargetTexture2DOES` in interface `GLES2`

### glGetShaderPrecisionFormat

    public void glGetShaderPrecisionFormat(int arg0,
                                           int arg1,
                                           IntBuffer arg2,
                                           IntBuffer arg3)

  Description copied from interface: `GLES2`
  Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);`
  Part of `GL_ES_VERSION_2_0`

  Specified by:
    `glGetShaderPrecisionFormat` in interface `GLES2`

### glGetShaderPrecisionFormat

    public void glGetShaderPrecisionFormat(int arg0,
                                           int arg1,
                                           int[] arg2,
                                           int arg3,
                                           int[] arg4,
                                           int arg5)

  Description copied from interface: `GLES2`
  Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);`
  Part of `GL_ES_VERSION_2_0`

  Specified by:
    `glGetShaderPrecisionFormat` in interface `GLES2`

### glGetAttachedShaders

    public void glGetAttachedShaders(int arg0,
                                     int arg1,
                                     IntBuffer arg2,
                                     IntBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`

  Specified by:
    `glGetAttachedShaders` in interface `GL2ES2`

### glGetAttachedShaders

    public void glGetAttachedShaders(int arg0,
                                     int arg1,
                                     int[] arg2,
                                     int arg3,
                                     int[] arg4,
                                     int arg5)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders);`

  Specified by:
    `glGetAttachedShaders` in interface `GL2ES2`

### glDetachShader

    public void glDetachShader(int arg0,
                               int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDetachShader(GLuint program, GLuint shader);`

  Specified by:
    `glDetachShader` in interface `GL2ES2`

### glTexParameteriv

    public void glTexParameteriv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params);`

  Specified by:
    `glTexParameteriv` in interface `GL`

### glDepthMask

    public void glDepthMask(boolean arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthMask(GLboolean flag);`

  Specified by:
    `glDepthMask` in interface `GL`

### glUniform4iv

    public void glUniform4iv(int arg0,
                             int arg1,
                             IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform4iv` in interface `GL2ES2`

### glFinish

    public void glFinish()

  Description copied from interface: `GL`
  Interface to C language function:
  `void glFinish(void);`

  Specified by:
    `glFinish` in interface `GL`

### glDepthFunc

    public void glDepthFunc(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDepthFunc(GLenum func);`

  Specified by:
    `glDepthFunc` in interface `GL`

### glAttachShader

    public void glAttachShader(int arg0,
                               int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glAttachShader(GLuint program, GLuint shader);`

  Specified by:
    `glAttachShader` in interface `GL2ES2`

### glGetShaderiv

    public void glGetShaderiv(int arg0,
                              int arg1,
                              IntBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params);`

  Specified by:
    `glGetShaderiv` in interface `GL2ES2`

### glUniform3i

    public void glUniform3i(int arg0,
                            int arg1,
                            int arg2,
                            int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3i(GLint location, GLint x, GLint y, GLint z);`

  Specified by:
    `glUniform3i` in interface `GL2ES2`

### glUniformMatrix4fv

    public void glUniformMatrix4fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   FloatBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix4fv` in interface `GL2ES2`

### glGetBufferParameteriv

    public void glGetBufferParameteriv(int arg0,
                                       int arg1,
                                       IntBuffer arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetBufferParameteriv` in interface `GL`

### getPlatformGLExtensions

    public Object getPlatformGLExtensions()

  Description copied from interface: `GLBase`
  Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed. The data type of the returned object and its associated capabilities are undefined. Most applications will never need to call this method. It is highly recommended that any applications which do call this method perform all accesses on the returned object reflectively to guard themselves against changes to the implementation.

  Specified by:
    `getPlatformGLExtensions` in interface `GLBase`

### glIsRenderbuffer

    public boolean glIsRenderbuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsRenderbuffer(GLuint renderbuffer);`

  Specified by:
    `glIsRenderbuffer` in interface `GL`

### glUniform3iv

    public void glUniform3iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform3iv` in interface `GL2ES2`

### glClear

    public void glClear(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClear(GLbitfield mask);`

  Specified by:
    `glClear` in interface `GL`

### glDeleteRenderbuffers

    public void glDeleteRenderbuffers(int arg0,
                                      int[] arg1,
                                      int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers);`

  Specified by:
    `glDeleteRenderbuffers` in interface `GL`

### glUniformMatrix2fv

    public void glUniformMatrix2fv(int arg0,
                                   int arg1,
                                   boolean arg2,
                                   FloatBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`

  Specified by:
    `glUniformMatrix2fv` in interface `GL2ES2`

### glIsBuffer

    public boolean glIsBuffer(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLboolean glIsBuffer(GLuint buffer);`

  Specified by:
    `glIsBuffer` in interface `GL`

### glUniform2iv

    public void glUniform2iv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform2iv(GLint location, GLsizei count, const GLint * v);`

  Specified by:
    `glUniform2iv` in interface `GL2ES2`

### glUniform3f

    public void glUniform3f(int arg0,
                            float arg1,
                            float arg2,
                            float arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z);`

  Specified by:
    `glUniform3f` in interface `GL2ES2`

### glGetTexParameterfv

    public void glGetTexParameterfv(int arg0,
                                    int arg1,
                                    float[] arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params);`

  Specified by:
    `glGetTexParameterfv` in interface `GL`

### glMapBuffer

    public ByteBuffer glMapBuffer(int arg0,
                                  int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLeglImageOES glMapBufferOES(GLenum target, GLenum access);`

  Specified by:
    `glMapBuffer` in interface `GL`

### glGetTexParameteriv

    public void glGetTexParameteriv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params);`

  Specified by:
    `glGetTexParameteriv` in interface `GL`

### glGetError

    public int glGetError()

  Description copied from interface: `GL`
  Interface to C language function:
  `GLenum glGetError(void);`

  Specified by:
    `glGetError` in interface `GL`

### glPolygonOffset

    public void glPolygonOffset(float arg0,
                                float arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glPolygonOffset(GLfloat factor, GLfloat units);`

  Specified by:
    `glPolygonOffset` in interface `GL`

### glGetActiveUniform

    public void glGetActiveUniform(int arg0,
                                   int arg1,
                                   int arg2,
                                   IntBuffer arg3,
                                   IntBuffer arg4,
                                   IntBuffer arg5,
                                   ByteBuffer arg6)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, char * name);`

  Specified by:
    `glGetActiveUniform` in interface `GL2ES2`

### glStencilMask

    public void glStencilMask(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glStencilMask(GLuint mask);`

  Specified by:
    `glStencilMask` in interface `GL`

### glCompressedTexSubImage2D

    public void glCompressedTexSubImage2D(int arg0,
                                          int arg1,
                                          int arg2,
                                          int arg3,
                                          int arg4,
                                          int arg5,
                                          int arg6,
                                          int arg7,
                                          Buffer arg8)

  Description copied from interface: `GL`
  Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const void * data);`
  Part of `GL_VERSION_1_3`

  Specified by:
    `glCompressedTexSubImage2D` in interface `GL`

### glBindRenderbuffer

    public void glBindRenderbuffer(int arg0,
                                   int arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glBindRenderbuffer(GLenum target, GLuint renderbuffer);`

  Specified by:
    `glBindRenderbuffer` in interface `GL`

### glViewport

    public void glViewport(int arg0,
                           int arg1,
                           int arg2,
                           int arg3)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glViewport` in interface `GL`

### glGetUniformfv

    public void glGetUniformfv(int arg0,
                               int arg1,
                               float[] arg2,
                               int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformfv(GLuint program, GLint location, GLfloat * params);`

  Specified by:
    `glGetUniformfv` in interface `GL2ES2`

### glDrawArrays

    public void glDrawArrays(int arg0,
                             int arg1,
                             int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDrawArrays(GLenum mode, GLint first, GLsizei count);`

  Specified by:
    `glDrawArrays` in interface `GL`

### glVertexAttrib4fv

    public void glVertexAttrib4fv(int arg0,
                                  float[] arg1,
                                  int arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib4fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib4fv` in interface `GL2ES2`

### glCheckFramebufferStatus

    public int glCheckFramebufferStatus(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `GLenum glCheckFramebufferStatus(GLenum target);`

  Specified by:
    `glCheckFramebufferStatus` in interface `GL`

### isFunctionAvailable

    public boolean isFunctionAvailable(String arg0)

  Description copied from interface: `GLBase`
  Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

  By "successfully" we mean that the function is both callable on the machine running the program and available on the current display.

  In order to call a function successfully, the function must be both callable on the machine running the program and available on the display device that is rendering the output (note: on non-networked, single-display machines these two conditions are identical; on networked and/or multi-display machines this becomes more complicated). These conditions are met if the function is either part of the core OpenGL version supported by both the host and display, or it is an OpenGL extension function that both the host and display support.

  A GL function is callable if it is successfully linked at runtime, hence the GLContext must be made current at least once.

  Specified by:
    `isFunctionAvailable` in interface `GLBase`
  Parameters:
    `arg0` - the name of the OpenGL function (e.g., use "glBindRenderbufferEXT" or "glBindRenderbuffer" to check if `#glBindRenderbuffer(int,int)` is available).

### glClearDepth

    public void glClearDepth(double arg0)

  Specified by:
    `glClearDepth` in interface `GL`
  Specified by:
    `glClearDepth` in interface `GL2ES2`

### glGetFloatv

    public void glGetFloatv(int arg0,
                            FloatBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFloatv(GLenum pname, GLfloat * params);`

  Specified by:
    `glGetFloatv` in interface `GL`

### glUniform1i

    public void glUniform1i(int arg0,
                            int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1i(GLint location, GLint x);`

  Specified by:
    `glUniform1i` in interface `GL2ES2`

### glDeleteFramebuffers

    public void glDeleteFramebuffers(int arg0,
                                     int[] arg1,
                                     int arg2)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers);`

  Specified by:
    `glDeleteFramebuffers` in interface `GL`

### glDeleteBuffers

    public void glDeleteBuffers(int arg0,
                                IntBuffer arg1)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDeleteBuffers(GLsizei n, const GLuint * buffers);`

  Specified by:
    `glDeleteBuffers` in interface `GL`

### glShaderBinary

    public void glShaderBinary(int arg0,
                               IntBuffer arg1,
                               int arg2,
                               Buffer arg3,
                               int arg4)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`

  Specified by:
    `glShaderBinary` in interface `GL2ES2`

### glDisableVertexAttribArray

    public void glDisableVertexAttribArray(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glDisableVertexAttribArray(GLuint index);`

  Specified by:
    `glDisableVertexAttribArray` in interface `GL2ES2`

### glLinkProgram

    public void glLinkProgram(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glLinkProgram(GLuint program);`

  Specified by:
    `glLinkProgram` in interface `GL2ES2`

### glGetShaderSource

    public void glGetShaderSource(int arg0,
                                  int arg1,
                                  IntBuffer arg2,
                                  ByteBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, char * source);`

  Specified by:
    `glGetShaderSource` in interface `GL2ES2`

### glClearDepthf

    public void glClearDepthf(float arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glClearDepthf(GLclampf depth);`

  Specified by:
    `glClearDepthf` in interface `GL`

### glUniform

    public void glUniform(GLUniformData arg0)

  Specified by:
    `glUniform` in interface `GL2ES2`

### glStencilOpSeparate

    public void glStencilOpSeparate(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass);`

  Specified by:
    `glStencilOpSeparate` in interface `GL2ES2`

### glGetFramebufferAttachmentParameteriv

    public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                      int arg1,
                                                      int arg2,
                                                      int[] arg3,
                                                      int arg4)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params);`

  Specified by:
    `glGetFramebufferAttachmentParameteriv` in interface `GL`

### glUniform1f

    public void glUniform1f(int arg0,
                            float arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform1f(GLint location, GLfloat x);`

  Specified by:
    `glUniform1f` in interface `GL2ES2`

### glVertexAttrib3fv

    public void glVertexAttrib3fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib3fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib3fv` in interface `GL2ES2`

### glVertexAttrib1fv

    public void glVertexAttrib1fv(int arg0,
                                  FloatBuffer arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glVertexAttrib1fv(GLuint indx, const GLfloat * values);`

  Specified by:
    `glVertexAttrib1fv` in interface `GL2ES2`

### glGetProgramInfoLog

    public void glGetProgramInfoLog(int arg0,
                                    int arg1,
                                    IntBuffer arg2,
                                    ByteBuffer arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, char * infolog);`

  Specified by:
    `glGetProgramInfoLog` in interface `GL2ES2`

### glGetUniformiv

    public void glGetUniformiv(int arg0,
                               int arg1,
                               int[] arg2,
                               int arg3)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glGetUniformiv(GLuint program, GLint location, GLint * params);`

  Specified by:
    `glGetUniformiv` in interface `GL2ES2`

### glIsShader

    public boolean glIsShader(int arg0)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `GLboolean glIsShader(GLuint shader);`

  Specified by:
    `glIsShader` in interface `GL2ES2`

### glGetString

    public String glGetString(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `const GLubyte * glGetString(GLenum name);`

  Specified by:
    `glGetString` in interface `GL`

### getExtension

    public Object getExtension(String arg0)

  Description copied from interface: `GLBase`
  Returns an object providing access to the specified OpenGL extension. This is intended to provide a mechanism for vendors who wish to provide access to new OpenGL extensions without changing the public API of the core package. For example, a user may request access to extension "GL_VENDOR_foo" and receive back an object which implements a vendor-specified interface which can call the OpenGL extension functions corresponding to that extension. It is up to the vendor to specify both the extension name and Java API for accessing it, including which class or interface contains the functions.

  Note: it is the intent to add new extensions as quickly as possible to the core GL API. Therefore it is unlikely that most vendors will use this extension mechanism, but it is being provided for completeness.

  Specified by:
    `getExtension` in interface `GLBase`

### glDisable

    public void glDisable(int arg0)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glDisable(GLenum cap);`

  Specified by:
    `glDisable` in interface `GL`

### glUniform4fv

    public void glUniform4fv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v);`

  Specified by:
    `glUniform4fv` in interface `GL2ES2`

### glCopyTexSubImage2D

    public void glCopyTexSubImage2D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5,
                                    int arg6,
                                    int arg7)

  Description copied from interface: `GL`
  Interface to C language function:
  `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height);`

  Specified by:
    `glCopyTexSubImage2D` in interface `GL`

### glStencilMaskSeparate

    public void glStencilMaskSeparate(int arg0,
                                      int arg1)

  Description copied from interface: `GL2ES2`
  Interface to C language function:
  `void glStencilMaskSeparate(GLenum face, GLuint mask);`

  Specified by:
    `glStencilMaskSeparate` in interface `GL2ES2`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### dumpArray

    protected String dumpArray(Object obj)

### print

    protected void print(String str)

### println

    protected void println(String str)

### printIndent

    protected void printIndent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.